// Autogenerated from Pigeon (v2.0.1), do not edit directly.
// See also: https://pub.dev/packages/pigeon

package net.amond.plugins.kakao.login;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MessageCodec;
import io.flutter.plugin.common.StandardMessageCodec;
import java.io.ByteArrayOutputStream;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

/** Generated class from Pigeon. */
@SuppressWarnings({"unused", "unchecked", "CodeBlock2Expr", "RedundantSuppression"})
public class Messages {

  public enum Prompt {
    login(0);

    private int index;
    private Prompt(final int index) {
      this.index = index;
    }
  }

  public enum ApiErrorCause {
    InternalError(0),
    IllegalParams(1),
    UnsupportedApi(2),
    BlockedAction(3),
    PermissionDenied(4),
    DeprecatedApi(5),
    ApiLimitExceeded(6),
    NotRegisteredUser(7),
    AlreadyRegisteredUser(8),
    AccountDoesNotExist(9),
    PropertyKeyDoesNotExist(10);

    private int index;
    private ApiErrorCause(final int index) {
      this.index = index;
    }
  }

  public enum AgeRange {
    age_0_9(0),
    age_10_14(1),
    age_15_19(2),
    age_20_29(3),
    age_30_39(4),
    age_40_49(5),
    age_50_59(6),
    age_60_69(7),
    age_70_79(8),
    age_80_89(9),
    age_90_above(10),
    unknown(11);

    private int index;
    private AgeRange(final int index) {
      this.index = index;
    }
  }

  public enum BirthdayType {
    solar(0),
    lunar(1),
    unknown(2);

    private int index;
    private BirthdayType(final int index) {
      this.index = index;
    }
  }

  public enum Gender {
    female(0),
    male(1),
    unknown(2);

    private int index;
    private Gender(final int index) {
      this.index = index;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class OAuthToken {
    private @NonNull String accessToken;
    public @NonNull String getAccessToken() { return accessToken; }
    public void setAccessToken(@NonNull String setterArg) {
      if (setterArg == null) {
        throw new IllegalStateException("Nonnull field \"accessToken\" is null.");
      }
      this.accessToken = setterArg;
    }

    private @Nullable Long accessTokenExpiresAt;
    public @Nullable Long getAccessTokenExpiresAt() { return accessTokenExpiresAt; }
    public void setAccessTokenExpiresAt(@Nullable Long setterArg) {
      this.accessTokenExpiresAt = setterArg;
    }

    private @Nullable Long expiresIn;
    public @Nullable Long getExpiresIn() { return expiresIn; }
    public void setExpiresIn(@Nullable Long setterArg) {
      this.expiresIn = setterArg;
    }

    private @NonNull String refreshToken;
    public @NonNull String getRefreshToken() { return refreshToken; }
    public void setRefreshToken(@NonNull String setterArg) {
      if (setterArg == null) {
        throw new IllegalStateException("Nonnull field \"refreshToken\" is null.");
      }
      this.refreshToken = setterArg;
    }

    private @Nullable Long refreshTokenExpiresAt;
    public @Nullable Long getRefreshTokenExpiresAt() { return refreshTokenExpiresAt; }
    public void setRefreshTokenExpiresAt(@Nullable Long setterArg) {
      this.refreshTokenExpiresAt = setterArg;
    }

    private @Nullable Long refreshTokenExpiresIn;
    public @Nullable Long getRefreshTokenExpiresIn() { return refreshTokenExpiresIn; }
    public void setRefreshTokenExpiresIn(@Nullable Long setterArg) {
      this.refreshTokenExpiresIn = setterArg;
    }

    private @Nullable List<String> scopes;
    public @Nullable List<String> getScopes() { return scopes; }
    public void setScopes(@Nullable List<String> setterArg) {
      this.scopes = setterArg;
    }

    /** Constructor is private to enforce null safety; use Builder. */
    private OAuthToken() {}
    public static class Builder {
      private @Nullable String accessToken;
      public @NonNull Builder setAccessToken(@NonNull String setterArg) {
        this.accessToken = setterArg;
        return this;
      }
      private @Nullable Long accessTokenExpiresAt;
      public @NonNull Builder setAccessTokenExpiresAt(@Nullable Long setterArg) {
        this.accessTokenExpiresAt = setterArg;
        return this;
      }
      private @Nullable Long expiresIn;
      public @NonNull Builder setExpiresIn(@Nullable Long setterArg) {
        this.expiresIn = setterArg;
        return this;
      }
      private @Nullable String refreshToken;
      public @NonNull Builder setRefreshToken(@NonNull String setterArg) {
        this.refreshToken = setterArg;
        return this;
      }
      private @Nullable Long refreshTokenExpiresAt;
      public @NonNull Builder setRefreshTokenExpiresAt(@Nullable Long setterArg) {
        this.refreshTokenExpiresAt = setterArg;
        return this;
      }
      private @Nullable Long refreshTokenExpiresIn;
      public @NonNull Builder setRefreshTokenExpiresIn(@Nullable Long setterArg) {
        this.refreshTokenExpiresIn = setterArg;
        return this;
      }
      private @Nullable List<String> scopes;
      public @NonNull Builder setScopes(@Nullable List<String> setterArg) {
        this.scopes = setterArg;
        return this;
      }
      public @NonNull OAuthToken build() {
        OAuthToken pigeonReturn = new OAuthToken();
        pigeonReturn.setAccessToken(accessToken);
        pigeonReturn.setAccessTokenExpiresAt(accessTokenExpiresAt);
        pigeonReturn.setExpiresIn(expiresIn);
        pigeonReturn.setRefreshToken(refreshToken);
        pigeonReturn.setRefreshTokenExpiresAt(refreshTokenExpiresAt);
        pigeonReturn.setRefreshTokenExpiresIn(refreshTokenExpiresIn);
        pigeonReturn.setScopes(scopes);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("accessToken", accessToken);
      toMapResult.put("accessTokenExpiresAt", accessTokenExpiresAt);
      toMapResult.put("expiresIn", expiresIn);
      toMapResult.put("refreshToken", refreshToken);
      toMapResult.put("refreshTokenExpiresAt", refreshTokenExpiresAt);
      toMapResult.put("refreshTokenExpiresIn", refreshTokenExpiresIn);
      toMapResult.put("scopes", scopes);
      return toMapResult;
    }
    static @NonNull OAuthToken fromMap(@NonNull Map<String, Object> map) {
      OAuthToken pigeonResult = new OAuthToken();
      Object accessToken = map.get("accessToken");
      pigeonResult.setAccessToken((String)accessToken);
      Object accessTokenExpiresAt = map.get("accessTokenExpiresAt");
      pigeonResult.setAccessTokenExpiresAt((accessTokenExpiresAt == null) ? null : ((accessTokenExpiresAt instanceof Integer) ? (Integer)accessTokenExpiresAt : (Long)accessTokenExpiresAt));
      Object expiresIn = map.get("expiresIn");
      pigeonResult.setExpiresIn((expiresIn == null) ? null : ((expiresIn instanceof Integer) ? (Integer)expiresIn : (Long)expiresIn));
      Object refreshToken = map.get("refreshToken");
      pigeonResult.setRefreshToken((String)refreshToken);
      Object refreshTokenExpiresAt = map.get("refreshTokenExpiresAt");
      pigeonResult.setRefreshTokenExpiresAt((refreshTokenExpiresAt == null) ? null : ((refreshTokenExpiresAt instanceof Integer) ? (Integer)refreshTokenExpiresAt : (Long)refreshTokenExpiresAt));
      Object refreshTokenExpiresIn = map.get("refreshTokenExpiresIn");
      pigeonResult.setRefreshTokenExpiresIn((refreshTokenExpiresIn == null) ? null : ((refreshTokenExpiresIn instanceof Integer) ? (Integer)refreshTokenExpiresIn : (Long)refreshTokenExpiresIn));
      Object scopes = map.get("scopes");
      pigeonResult.setScopes((List<String>)scopes);
      return pigeonResult;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class Profile {
    private @Nullable String nickname;
    public @Nullable String getNickname() { return nickname; }
    public void setNickname(@Nullable String setterArg) {
      this.nickname = setterArg;
    }

    private @Nullable String profileImageUrl;
    public @Nullable String getProfileImageUrl() { return profileImageUrl; }
    public void setProfileImageUrl(@Nullable String setterArg) {
      this.profileImageUrl = setterArg;
    }

    private @Nullable String thumbnailImageUrl;
    public @Nullable String getThumbnailImageUrl() { return thumbnailImageUrl; }
    public void setThumbnailImageUrl(@Nullable String setterArg) {
      this.thumbnailImageUrl = setterArg;
    }

    public static class Builder {
      private @Nullable String nickname;
      public @NonNull Builder setNickname(@Nullable String setterArg) {
        this.nickname = setterArg;
        return this;
      }
      private @Nullable String profileImageUrl;
      public @NonNull Builder setProfileImageUrl(@Nullable String setterArg) {
        this.profileImageUrl = setterArg;
        return this;
      }
      private @Nullable String thumbnailImageUrl;
      public @NonNull Builder setThumbnailImageUrl(@Nullable String setterArg) {
        this.thumbnailImageUrl = setterArg;
        return this;
      }
      public @NonNull Profile build() {
        Profile pigeonReturn = new Profile();
        pigeonReturn.setNickname(nickname);
        pigeonReturn.setProfileImageUrl(profileImageUrl);
        pigeonReturn.setThumbnailImageUrl(thumbnailImageUrl);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("nickname", nickname);
      toMapResult.put("profileImageUrl", profileImageUrl);
      toMapResult.put("thumbnailImageUrl", thumbnailImageUrl);
      return toMapResult;
    }
    static @NonNull Profile fromMap(@NonNull Map<String, Object> map) {
      Profile pigeonResult = new Profile();
      Object nickname = map.get("nickname");
      pigeonResult.setNickname((String)nickname);
      Object profileImageUrl = map.get("profileImageUrl");
      pigeonResult.setProfileImageUrl((String)profileImageUrl);
      Object thumbnailImageUrl = map.get("thumbnailImageUrl");
      pigeonResult.setThumbnailImageUrl((String)thumbnailImageUrl);
      return pigeonResult;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class Account {
    private @Nullable Boolean profileImageNeedsAgreement;
    public @Nullable Boolean getProfileImageNeedsAgreement() { return profileImageNeedsAgreement; }
    public void setProfileImageNeedsAgreement(@Nullable Boolean setterArg) {
      this.profileImageNeedsAgreement = setterArg;
    }

    private @Nullable Boolean profileNeedsAgreement;
    public @Nullable Boolean getProfileNeedsAgreement() { return profileNeedsAgreement; }
    public void setProfileNeedsAgreement(@Nullable Boolean setterArg) {
      this.profileNeedsAgreement = setterArg;
    }

    private @Nullable Boolean profileNicknameNeedsAgreement;
    public @Nullable Boolean getProfileNicknameNeedsAgreement() { return profileNicknameNeedsAgreement; }
    public void setProfileNicknameNeedsAgreement(@Nullable Boolean setterArg) {
      this.profileNicknameNeedsAgreement = setterArg;
    }

    private @Nullable Profile profile;
    public @Nullable Profile getProfile() { return profile; }
    public void setProfile(@Nullable Profile setterArg) {
      this.profile = setterArg;
    }

    private @Nullable Boolean isEmailVerified;
    public @Nullable Boolean getIsEmailVerified() { return isEmailVerified; }
    public void setIsEmailVerified(@Nullable Boolean setterArg) {
      this.isEmailVerified = setterArg;
    }

    private @Nullable Boolean isEmailValid;
    public @Nullable Boolean getIsEmailValid() { return isEmailValid; }
    public void setIsEmailValid(@Nullable Boolean setterArg) {
      this.isEmailValid = setterArg;
    }

    private @Nullable Boolean emailNeedsAgreement;
    public @Nullable Boolean getEmailNeedsAgreement() { return emailNeedsAgreement; }
    public void setEmailNeedsAgreement(@Nullable Boolean setterArg) {
      this.emailNeedsAgreement = setterArg;
    }

    private @Nullable String email;
    public @Nullable String getEmail() { return email; }
    public void setEmail(@Nullable String setterArg) {
      this.email = setterArg;
    }

    private @Nullable Boolean isKakaotalkUser;
    public @Nullable Boolean getIsKakaotalkUser() { return isKakaotalkUser; }
    public void setIsKakaotalkUser(@Nullable Boolean setterArg) {
      this.isKakaotalkUser = setterArg;
    }

    private @Nullable Boolean phoneNumberNeedsAgreement;
    public @Nullable Boolean getPhoneNumberNeedsAgreement() { return phoneNumberNeedsAgreement; }
    public void setPhoneNumberNeedsAgreement(@Nullable Boolean setterArg) {
      this.phoneNumberNeedsAgreement = setterArg;
    }

    private @Nullable String phoneNumber;
    public @Nullable String getPhoneNumber() { return phoneNumber; }
    public void setPhoneNumber(@Nullable String setterArg) {
      this.phoneNumber = setterArg;
    }

    private @Nullable Boolean ageRangeNeedsAgreement;
    public @Nullable Boolean getAgeRangeNeedsAgreement() { return ageRangeNeedsAgreement; }
    public void setAgeRangeNeedsAgreement(@Nullable Boolean setterArg) {
      this.ageRangeNeedsAgreement = setterArg;
    }

    private @Nullable AgeRange ageRange;
    public @Nullable AgeRange getAgeRange() { return ageRange; }
    public void setAgeRange(@Nullable AgeRange setterArg) {
      this.ageRange = setterArg;
    }

    private @Nullable Boolean birthdayNeedsAgreement;
    public @Nullable Boolean getBirthdayNeedsAgreement() { return birthdayNeedsAgreement; }
    public void setBirthdayNeedsAgreement(@Nullable Boolean setterArg) {
      this.birthdayNeedsAgreement = setterArg;
    }

    private @Nullable String birthday;
    public @Nullable String getBirthday() { return birthday; }
    public void setBirthday(@Nullable String setterArg) {
      this.birthday = setterArg;
    }

    private @Nullable Boolean birthyearNeedsAgreement;
    public @Nullable Boolean getBirthyearNeedsAgreement() { return birthyearNeedsAgreement; }
    public void setBirthyearNeedsAgreement(@Nullable Boolean setterArg) {
      this.birthyearNeedsAgreement = setterArg;
    }

    private @Nullable BirthdayType birthdayType;
    public @Nullable BirthdayType getBirthdayType() { return birthdayType; }
    public void setBirthdayType(@Nullable BirthdayType setterArg) {
      this.birthdayType = setterArg;
    }

    private @Nullable String birthyear;
    public @Nullable String getBirthyear() { return birthyear; }
    public void setBirthyear(@Nullable String setterArg) {
      this.birthyear = setterArg;
    }

    private @Nullable Boolean genderNeedsAgreement;
    public @Nullable Boolean getGenderNeedsAgreement() { return genderNeedsAgreement; }
    public void setGenderNeedsAgreement(@Nullable Boolean setterArg) {
      this.genderNeedsAgreement = setterArg;
    }

    private @Nullable Gender gender;
    public @Nullable Gender getGender() { return gender; }
    public void setGender(@Nullable Gender setterArg) {
      this.gender = setterArg;
    }

    private @Nullable Boolean ciNeedsAgreement;
    public @Nullable Boolean getCiNeedsAgreement() { return ciNeedsAgreement; }
    public void setCiNeedsAgreement(@Nullable Boolean setterArg) {
      this.ciNeedsAgreement = setterArg;
    }

    private @Nullable String ci;
    public @Nullable String getCi() { return ci; }
    public void setCi(@Nullable String setterArg) {
      this.ci = setterArg;
    }

    private @Nullable Long ciAuthenticatedAt;
    public @Nullable Long getCiAuthenticatedAt() { return ciAuthenticatedAt; }
    public void setCiAuthenticatedAt(@Nullable Long setterArg) {
      this.ciAuthenticatedAt = setterArg;
    }

    private @Nullable Boolean legalNameNeedsAgreement;
    public @Nullable Boolean getLegalNameNeedsAgreement() { return legalNameNeedsAgreement; }
    public void setLegalNameNeedsAgreement(@Nullable Boolean setterArg) {
      this.legalNameNeedsAgreement = setterArg;
    }

    private @Nullable String legalName;
    public @Nullable String getLegalName() { return legalName; }
    public void setLegalName(@Nullable String setterArg) {
      this.legalName = setterArg;
    }

    private @Nullable Boolean legalGenderNeedsAgreement;
    public @Nullable Boolean getLegalGenderNeedsAgreement() { return legalGenderNeedsAgreement; }
    public void setLegalGenderNeedsAgreement(@Nullable Boolean setterArg) {
      this.legalGenderNeedsAgreement = setterArg;
    }

    private @Nullable Gender legalGender;
    public @Nullable Gender getLegalGender() { return legalGender; }
    public void setLegalGender(@Nullable Gender setterArg) {
      this.legalGender = setterArg;
    }

    private @Nullable String legalBirthDate;
    public @Nullable String getLegalBirthDate() { return legalBirthDate; }
    public void setLegalBirthDate(@Nullable String setterArg) {
      this.legalBirthDate = setterArg;
    }

    private @Nullable Boolean isKorean;
    public @Nullable Boolean getIsKorean() { return isKorean; }
    public void setIsKorean(@Nullable Boolean setterArg) {
      this.isKorean = setterArg;
    }

    private @Nullable Boolean isKoreanNeedsAgreement;
    public @Nullable Boolean getIsKoreanNeedsAgreement() { return isKoreanNeedsAgreement; }
    public void setIsKoreanNeedsAgreement(@Nullable Boolean setterArg) {
      this.isKoreanNeedsAgreement = setterArg;
    }

    private @Nullable String name;
    public @Nullable String getName() { return name; }
    public void setName(@Nullable String setterArg) {
      this.name = setterArg;
    }

    private @Nullable Boolean nameNeedsAgreement;
    public @Nullable Boolean getNameNeedsAgreement() { return nameNeedsAgreement; }
    public void setNameNeedsAgreement(@Nullable Boolean setterArg) {
      this.nameNeedsAgreement = setterArg;
    }

    public static class Builder {
      private @Nullable Boolean profileImageNeedsAgreement;
      public @NonNull Builder setProfileImageNeedsAgreement(@Nullable Boolean setterArg) {
        this.profileImageNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable Boolean profileNeedsAgreement;
      public @NonNull Builder setProfileNeedsAgreement(@Nullable Boolean setterArg) {
        this.profileNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable Boolean profileNicknameNeedsAgreement;
      public @NonNull Builder setProfileNicknameNeedsAgreement(@Nullable Boolean setterArg) {
        this.profileNicknameNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable Profile profile;
      public @NonNull Builder setProfile(@Nullable Profile setterArg) {
        this.profile = setterArg;
        return this;
      }
      private @Nullable Boolean isEmailVerified;
      public @NonNull Builder setIsEmailVerified(@Nullable Boolean setterArg) {
        this.isEmailVerified = setterArg;
        return this;
      }
      private @Nullable Boolean isEmailValid;
      public @NonNull Builder setIsEmailValid(@Nullable Boolean setterArg) {
        this.isEmailValid = setterArg;
        return this;
      }
      private @Nullable Boolean emailNeedsAgreement;
      public @NonNull Builder setEmailNeedsAgreement(@Nullable Boolean setterArg) {
        this.emailNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String email;
      public @NonNull Builder setEmail(@Nullable String setterArg) {
        this.email = setterArg;
        return this;
      }
      private @Nullable Boolean isKakaotalkUser;
      public @NonNull Builder setIsKakaotalkUser(@Nullable Boolean setterArg) {
        this.isKakaotalkUser = setterArg;
        return this;
      }
      private @Nullable Boolean phoneNumberNeedsAgreement;
      public @NonNull Builder setPhoneNumberNeedsAgreement(@Nullable Boolean setterArg) {
        this.phoneNumberNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String phoneNumber;
      public @NonNull Builder setPhoneNumber(@Nullable String setterArg) {
        this.phoneNumber = setterArg;
        return this;
      }
      private @Nullable Boolean ageRangeNeedsAgreement;
      public @NonNull Builder setAgeRangeNeedsAgreement(@Nullable Boolean setterArg) {
        this.ageRangeNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable AgeRange ageRange;
      public @NonNull Builder setAgeRange(@Nullable AgeRange setterArg) {
        this.ageRange = setterArg;
        return this;
      }
      private @Nullable Boolean birthdayNeedsAgreement;
      public @NonNull Builder setBirthdayNeedsAgreement(@Nullable Boolean setterArg) {
        this.birthdayNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String birthday;
      public @NonNull Builder setBirthday(@Nullable String setterArg) {
        this.birthday = setterArg;
        return this;
      }
      private @Nullable Boolean birthyearNeedsAgreement;
      public @NonNull Builder setBirthyearNeedsAgreement(@Nullable Boolean setterArg) {
        this.birthyearNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable BirthdayType birthdayType;
      public @NonNull Builder setBirthdayType(@Nullable BirthdayType setterArg) {
        this.birthdayType = setterArg;
        return this;
      }
      private @Nullable String birthyear;
      public @NonNull Builder setBirthyear(@Nullable String setterArg) {
        this.birthyear = setterArg;
        return this;
      }
      private @Nullable Boolean genderNeedsAgreement;
      public @NonNull Builder setGenderNeedsAgreement(@Nullable Boolean setterArg) {
        this.genderNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable Gender gender;
      public @NonNull Builder setGender(@Nullable Gender setterArg) {
        this.gender = setterArg;
        return this;
      }
      private @Nullable Boolean ciNeedsAgreement;
      public @NonNull Builder setCiNeedsAgreement(@Nullable Boolean setterArg) {
        this.ciNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String ci;
      public @NonNull Builder setCi(@Nullable String setterArg) {
        this.ci = setterArg;
        return this;
      }
      private @Nullable Long ciAuthenticatedAt;
      public @NonNull Builder setCiAuthenticatedAt(@Nullable Long setterArg) {
        this.ciAuthenticatedAt = setterArg;
        return this;
      }
      private @Nullable Boolean legalNameNeedsAgreement;
      public @NonNull Builder setLegalNameNeedsAgreement(@Nullable Boolean setterArg) {
        this.legalNameNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String legalName;
      public @NonNull Builder setLegalName(@Nullable String setterArg) {
        this.legalName = setterArg;
        return this;
      }
      private @Nullable Boolean legalGenderNeedsAgreement;
      public @NonNull Builder setLegalGenderNeedsAgreement(@Nullable Boolean setterArg) {
        this.legalGenderNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable Gender legalGender;
      public @NonNull Builder setLegalGender(@Nullable Gender setterArg) {
        this.legalGender = setterArg;
        return this;
      }
      private @Nullable String legalBirthDate;
      public @NonNull Builder setLegalBirthDate(@Nullable String setterArg) {
        this.legalBirthDate = setterArg;
        return this;
      }
      private @Nullable Boolean isKorean;
      public @NonNull Builder setIsKorean(@Nullable Boolean setterArg) {
        this.isKorean = setterArg;
        return this;
      }
      private @Nullable Boolean isKoreanNeedsAgreement;
      public @NonNull Builder setIsKoreanNeedsAgreement(@Nullable Boolean setterArg) {
        this.isKoreanNeedsAgreement = setterArg;
        return this;
      }
      private @Nullable String name;
      public @NonNull Builder setName(@Nullable String setterArg) {
        this.name = setterArg;
        return this;
      }
      private @Nullable Boolean nameNeedsAgreement;
      public @NonNull Builder setNameNeedsAgreement(@Nullable Boolean setterArg) {
        this.nameNeedsAgreement = setterArg;
        return this;
      }
      public @NonNull Account build() {
        Account pigeonReturn = new Account();
        pigeonReturn.setProfileImageNeedsAgreement(profileImageNeedsAgreement);
        pigeonReturn.setProfileNeedsAgreement(profileNeedsAgreement);
        pigeonReturn.setProfileNicknameNeedsAgreement(profileNicknameNeedsAgreement);
        pigeonReturn.setProfile(profile);
        pigeonReturn.setIsEmailVerified(isEmailVerified);
        pigeonReturn.setIsEmailValid(isEmailValid);
        pigeonReturn.setEmailNeedsAgreement(emailNeedsAgreement);
        pigeonReturn.setEmail(email);
        pigeonReturn.setIsKakaotalkUser(isKakaotalkUser);
        pigeonReturn.setPhoneNumberNeedsAgreement(phoneNumberNeedsAgreement);
        pigeonReturn.setPhoneNumber(phoneNumber);
        pigeonReturn.setAgeRangeNeedsAgreement(ageRangeNeedsAgreement);
        pigeonReturn.setAgeRange(ageRange);
        pigeonReturn.setBirthdayNeedsAgreement(birthdayNeedsAgreement);
        pigeonReturn.setBirthday(birthday);
        pigeonReturn.setBirthyearNeedsAgreement(birthyearNeedsAgreement);
        pigeonReturn.setBirthdayType(birthdayType);
        pigeonReturn.setBirthyear(birthyear);
        pigeonReturn.setGenderNeedsAgreement(genderNeedsAgreement);
        pigeonReturn.setGender(gender);
        pigeonReturn.setCiNeedsAgreement(ciNeedsAgreement);
        pigeonReturn.setCi(ci);
        pigeonReturn.setCiAuthenticatedAt(ciAuthenticatedAt);
        pigeonReturn.setLegalNameNeedsAgreement(legalNameNeedsAgreement);
        pigeonReturn.setLegalName(legalName);
        pigeonReturn.setLegalGenderNeedsAgreement(legalGenderNeedsAgreement);
        pigeonReturn.setLegalGender(legalGender);
        pigeonReturn.setLegalBirthDate(legalBirthDate);
        pigeonReturn.setIsKorean(isKorean);
        pigeonReturn.setIsKoreanNeedsAgreement(isKoreanNeedsAgreement);
        pigeonReturn.setName(name);
        pigeonReturn.setNameNeedsAgreement(nameNeedsAgreement);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("profileImageNeedsAgreement", profileImageNeedsAgreement);
      toMapResult.put("profileNeedsAgreement", profileNeedsAgreement);
      toMapResult.put("profileNicknameNeedsAgreement", profileNicknameNeedsAgreement);
      toMapResult.put("profile", (profile == null) ? null : profile.toMap());
      toMapResult.put("isEmailVerified", isEmailVerified);
      toMapResult.put("isEmailValid", isEmailValid);
      toMapResult.put("emailNeedsAgreement", emailNeedsAgreement);
      toMapResult.put("email", email);
      toMapResult.put("isKakaotalkUser", isKakaotalkUser);
      toMapResult.put("phoneNumberNeedsAgreement", phoneNumberNeedsAgreement);
      toMapResult.put("phoneNumber", phoneNumber);
      toMapResult.put("ageRangeNeedsAgreement", ageRangeNeedsAgreement);
      toMapResult.put("ageRange", ageRange == null ? null : ageRange.index);
      toMapResult.put("birthdayNeedsAgreement", birthdayNeedsAgreement);
      toMapResult.put("birthday", birthday);
      toMapResult.put("birthyearNeedsAgreement", birthyearNeedsAgreement);
      toMapResult.put("birthdayType", birthdayType == null ? null : birthdayType.index);
      toMapResult.put("birthyear", birthyear);
      toMapResult.put("genderNeedsAgreement", genderNeedsAgreement);
      toMapResult.put("gender", gender == null ? null : gender.index);
      toMapResult.put("ciNeedsAgreement", ciNeedsAgreement);
      toMapResult.put("ci", ci);
      toMapResult.put("ciAuthenticatedAt", ciAuthenticatedAt);
      toMapResult.put("legalNameNeedsAgreement", legalNameNeedsAgreement);
      toMapResult.put("legalName", legalName);
      toMapResult.put("legalGenderNeedsAgreement", legalGenderNeedsAgreement);
      toMapResult.put("legalGender", legalGender == null ? null : legalGender.index);
      toMapResult.put("legalBirthDate", legalBirthDate);
      toMapResult.put("isKorean", isKorean);
      toMapResult.put("isKoreanNeedsAgreement", isKoreanNeedsAgreement);
      toMapResult.put("name", name);
      toMapResult.put("nameNeedsAgreement", nameNeedsAgreement);
      return toMapResult;
    }
    static @NonNull Account fromMap(@NonNull Map<String, Object> map) {
      Account pigeonResult = new Account();
      Object profileImageNeedsAgreement = map.get("profileImageNeedsAgreement");
      pigeonResult.setProfileImageNeedsAgreement((Boolean)profileImageNeedsAgreement);
      Object profileNeedsAgreement = map.get("profileNeedsAgreement");
      pigeonResult.setProfileNeedsAgreement((Boolean)profileNeedsAgreement);
      Object profileNicknameNeedsAgreement = map.get("profileNicknameNeedsAgreement");
      pigeonResult.setProfileNicknameNeedsAgreement((Boolean)profileNicknameNeedsAgreement);
      Object profile = map.get("profile");
      pigeonResult.setProfile(Profile.fromMap((Map)profile));
      Object isEmailVerified = map.get("isEmailVerified");
      pigeonResult.setIsEmailVerified((Boolean)isEmailVerified);
      Object isEmailValid = map.get("isEmailValid");
      pigeonResult.setIsEmailValid((Boolean)isEmailValid);
      Object emailNeedsAgreement = map.get("emailNeedsAgreement");
      pigeonResult.setEmailNeedsAgreement((Boolean)emailNeedsAgreement);
      Object email = map.get("email");
      pigeonResult.setEmail((String)email);
      Object isKakaotalkUser = map.get("isKakaotalkUser");
      pigeonResult.setIsKakaotalkUser((Boolean)isKakaotalkUser);
      Object phoneNumberNeedsAgreement = map.get("phoneNumberNeedsAgreement");
      pigeonResult.setPhoneNumberNeedsAgreement((Boolean)phoneNumberNeedsAgreement);
      Object phoneNumber = map.get("phoneNumber");
      pigeonResult.setPhoneNumber((String)phoneNumber);
      Object ageRangeNeedsAgreement = map.get("ageRangeNeedsAgreement");
      pigeonResult.setAgeRangeNeedsAgreement((Boolean)ageRangeNeedsAgreement);
      Object ageRange = map.get("ageRange");
      pigeonResult.setAgeRange(ageRange == null ? null : AgeRange.values()[(int)ageRange]);
      Object birthdayNeedsAgreement = map.get("birthdayNeedsAgreement");
      pigeonResult.setBirthdayNeedsAgreement((Boolean)birthdayNeedsAgreement);
      Object birthday = map.get("birthday");
      pigeonResult.setBirthday((String)birthday);
      Object birthyearNeedsAgreement = map.get("birthyearNeedsAgreement");
      pigeonResult.setBirthyearNeedsAgreement((Boolean)birthyearNeedsAgreement);
      Object birthdayType = map.get("birthdayType");
      pigeonResult.setBirthdayType(birthdayType == null ? null : BirthdayType.values()[(int)birthdayType]);
      Object birthyear = map.get("birthyear");
      pigeonResult.setBirthyear((String)birthyear);
      Object genderNeedsAgreement = map.get("genderNeedsAgreement");
      pigeonResult.setGenderNeedsAgreement((Boolean)genderNeedsAgreement);
      Object gender = map.get("gender");
      pigeonResult.setGender(gender == null ? null : Gender.values()[(int)gender]);
      Object ciNeedsAgreement = map.get("ciNeedsAgreement");
      pigeonResult.setCiNeedsAgreement((Boolean)ciNeedsAgreement);
      Object ci = map.get("ci");
      pigeonResult.setCi((String)ci);
      Object ciAuthenticatedAt = map.get("ciAuthenticatedAt");
      pigeonResult.setCiAuthenticatedAt((ciAuthenticatedAt == null) ? null : ((ciAuthenticatedAt instanceof Integer) ? (Integer)ciAuthenticatedAt : (Long)ciAuthenticatedAt));
      Object legalNameNeedsAgreement = map.get("legalNameNeedsAgreement");
      pigeonResult.setLegalNameNeedsAgreement((Boolean)legalNameNeedsAgreement);
      Object legalName = map.get("legalName");
      pigeonResult.setLegalName((String)legalName);
      Object legalGenderNeedsAgreement = map.get("legalGenderNeedsAgreement");
      pigeonResult.setLegalGenderNeedsAgreement((Boolean)legalGenderNeedsAgreement);
      Object legalGender = map.get("legalGender");
      pigeonResult.setLegalGender(legalGender == null ? null : Gender.values()[(int)legalGender]);
      Object legalBirthDate = map.get("legalBirthDate");
      pigeonResult.setLegalBirthDate((String)legalBirthDate);
      Object isKorean = map.get("isKorean");
      pigeonResult.setIsKorean((Boolean)isKorean);
      Object isKoreanNeedsAgreement = map.get("isKoreanNeedsAgreement");
      pigeonResult.setIsKoreanNeedsAgreement((Boolean)isKoreanNeedsAgreement);
      Object name = map.get("name");
      pigeonResult.setName((String)name);
      Object nameNeedsAgreement = map.get("nameNeedsAgreement");
      pigeonResult.setNameNeedsAgreement((Boolean)nameNeedsAgreement);
      return pigeonResult;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class User {
    private @Nullable Long id;
    public @Nullable Long getId() { return id; }
    public void setId(@Nullable Long setterArg) {
      this.id = setterArg;
    }

    private @Nullable Map<String, String> properties;
    public @Nullable Map<String, String> getProperties() { return properties; }
    public void setProperties(@Nullable Map<String, String> setterArg) {
      this.properties = setterArg;
    }

    private @Nullable Account kakaoAccount;
    public @Nullable Account getKakaoAccount() { return kakaoAccount; }
    public void setKakaoAccount(@Nullable Account setterArg) {
      this.kakaoAccount = setterArg;
    }

    private @Nullable String groupUserToken;
    public @Nullable String getGroupUserToken() { return groupUserToken; }
    public void setGroupUserToken(@Nullable String setterArg) {
      this.groupUserToken = setterArg;
    }

    private @Nullable Long connectedAt;
    public @Nullable Long getConnectedAt() { return connectedAt; }
    public void setConnectedAt(@Nullable Long setterArg) {
      this.connectedAt = setterArg;
    }

    private @Nullable Long synchedAt;
    public @Nullable Long getSynchedAt() { return synchedAt; }
    public void setSynchedAt(@Nullable Long setterArg) {
      this.synchedAt = setterArg;
    }

    public static class Builder {
      private @Nullable Long id;
      public @NonNull Builder setId(@Nullable Long setterArg) {
        this.id = setterArg;
        return this;
      }
      private @Nullable Map<String, String> properties;
      public @NonNull Builder setProperties(@Nullable Map<String, String> setterArg) {
        this.properties = setterArg;
        return this;
      }
      private @Nullable Account kakaoAccount;
      public @NonNull Builder setKakaoAccount(@Nullable Account setterArg) {
        this.kakaoAccount = setterArg;
        return this;
      }
      private @Nullable String groupUserToken;
      public @NonNull Builder setGroupUserToken(@Nullable String setterArg) {
        this.groupUserToken = setterArg;
        return this;
      }
      private @Nullable Long connectedAt;
      public @NonNull Builder setConnectedAt(@Nullable Long setterArg) {
        this.connectedAt = setterArg;
        return this;
      }
      private @Nullable Long synchedAt;
      public @NonNull Builder setSynchedAt(@Nullable Long setterArg) {
        this.synchedAt = setterArg;
        return this;
      }
      public @NonNull User build() {
        User pigeonReturn = new User();
        pigeonReturn.setId(id);
        pigeonReturn.setProperties(properties);
        pigeonReturn.setKakaoAccount(kakaoAccount);
        pigeonReturn.setGroupUserToken(groupUserToken);
        pigeonReturn.setConnectedAt(connectedAt);
        pigeonReturn.setSynchedAt(synchedAt);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("id", id);
      toMapResult.put("properties", properties);
      toMapResult.put("kakaoAccount", (kakaoAccount == null) ? null : kakaoAccount.toMap());
      toMapResult.put("groupUserToken", groupUserToken);
      toMapResult.put("connectedAt", connectedAt);
      toMapResult.put("synchedAt", synchedAt);
      return toMapResult;
    }
    static @NonNull User fromMap(@NonNull Map<String, Object> map) {
      User pigeonResult = new User();
      Object id = map.get("id");
      pigeonResult.setId((id == null) ? null : ((id instanceof Integer) ? (Integer)id : (Long)id));
      Object properties = map.get("properties");
      pigeonResult.setProperties((Map<String, String>)properties);
      Object kakaoAccount = map.get("kakaoAccount");
      pigeonResult.setKakaoAccount(Account.fromMap((Map)kakaoAccount));
      Object groupUserToken = map.get("groupUserToken");
      pigeonResult.setGroupUserToken((String)groupUserToken);
      Object connectedAt = map.get("connectedAt");
      pigeonResult.setConnectedAt((connectedAt == null) ? null : ((connectedAt instanceof Integer) ? (Integer)connectedAt : (Long)connectedAt));
      Object synchedAt = map.get("synchedAt");
      pigeonResult.setSynchedAt((synchedAt == null) ? null : ((synchedAt instanceof Integer) ? (Integer)synchedAt : (Long)synchedAt));
      return pigeonResult;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class AccessTokenInfo {
    private @Nullable Long id;
    public @Nullable Long getId() { return id; }
    public void setId(@Nullable Long setterArg) {
      this.id = setterArg;
    }

    private @NonNull Long expiresIn;
    public @NonNull Long getExpiresIn() { return expiresIn; }
    public void setExpiresIn(@NonNull Long setterArg) {
      if (setterArg == null) {
        throw new IllegalStateException("Nonnull field \"expiresIn\" is null.");
      }
      this.expiresIn = setterArg;
    }

    private @NonNull Long appId;
    public @NonNull Long getAppId() { return appId; }
    public void setAppId(@NonNull Long setterArg) {
      if (setterArg == null) {
        throw new IllegalStateException("Nonnull field \"appId\" is null.");
      }
      this.appId = setterArg;
    }

    /** Constructor is private to enforce null safety; use Builder. */
    private AccessTokenInfo() {}
    public static class Builder {
      private @Nullable Long id;
      public @NonNull Builder setId(@Nullable Long setterArg) {
        this.id = setterArg;
        return this;
      }
      private @Nullable Long expiresIn;
      public @NonNull Builder setExpiresIn(@NonNull Long setterArg) {
        this.expiresIn = setterArg;
        return this;
      }
      private @Nullable Long appId;
      public @NonNull Builder setAppId(@NonNull Long setterArg) {
        this.appId = setterArg;
        return this;
      }
      public @NonNull AccessTokenInfo build() {
        AccessTokenInfo pigeonReturn = new AccessTokenInfo();
        pigeonReturn.setId(id);
        pigeonReturn.setExpiresIn(expiresIn);
        pigeonReturn.setAppId(appId);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("id", id);
      toMapResult.put("expiresIn", expiresIn);
      toMapResult.put("appId", appId);
      return toMapResult;
    }
    static @NonNull AccessTokenInfo fromMap(@NonNull Map<String, Object> map) {
      AccessTokenInfo pigeonResult = new AccessTokenInfo();
      Object id = map.get("id");
      pigeonResult.setId((id == null) ? null : ((id instanceof Integer) ? (Integer)id : (Long)id));
      Object expiresIn = map.get("expiresIn");
      pigeonResult.setExpiresIn((expiresIn == null) ? null : ((expiresIn instanceof Integer) ? (Integer)expiresIn : (Long)expiresIn));
      Object appId = map.get("appId");
      pigeonResult.setAppId((appId == null) ? null : ((appId instanceof Integer) ? (Integer)appId : (Long)appId));
      return pigeonResult;
    }
  }

  /** Generated class from Pigeon that represents data sent in messages. */
  public static class InitializeRequest {
    private @NonNull String appKey;
    public @NonNull String getAppKey() { return appKey; }
    public void setAppKey(@NonNull String setterArg) {
      if (setterArg == null) {
        throw new IllegalStateException("Nonnull field \"appKey\" is null.");
      }
      this.appKey = setterArg;
    }

    /** Constructor is private to enforce null safety; use Builder. */
    private InitializeRequest() {}
    public static class Builder {
      private @Nullable String appKey;
      public @NonNull Builder setAppKey(@NonNull String setterArg) {
        this.appKey = setterArg;
        return this;
      }
      public @NonNull InitializeRequest build() {
        InitializeRequest pigeonReturn = new InitializeRequest();
        pigeonReturn.setAppKey(appKey);
        return pigeonReturn;
      }
    }
    @NonNull Map<String, Object> toMap() {
      Map<String, Object> toMapResult = new HashMap<>();
      toMapResult.put("appKey", appKey);
      return toMapResult;
    }
    static @NonNull InitializeRequest fromMap(@NonNull Map<String, Object> map) {
      InitializeRequest pigeonResult = new InitializeRequest();
      Object appKey = map.get("appKey");
      pigeonResult.setAppKey((String)appKey);
      return pigeonResult;
    }
  }

  public interface Result<T> {
    void success(T result);
    void error(Throwable error);
  }
  private static class KakaoLoginApiCodec extends StandardMessageCodec {
    public static final KakaoLoginApiCodec INSTANCE = new KakaoLoginApiCodec();
    private KakaoLoginApiCodec() {}
    @Override
    protected Object readValueOfType(byte type, ByteBuffer buffer) {
      switch (type) {
        case (byte)128:         
          return AccessTokenInfo.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)129:         
          return Account.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)130:         
          return InitializeRequest.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)131:         
          return OAuthToken.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)132:         
          return OAuthToken.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)133:         
          return Profile.fromMap((Map<String, Object>) readValue(buffer));
        
        case (byte)134:         
          return User.fromMap((Map<String, Object>) readValue(buffer));
        
        default:        
          return super.readValueOfType(type, buffer);
        
      }
    }
    @Override
    protected void writeValue(ByteArrayOutputStream stream, Object value)     {
      if (value instanceof AccessTokenInfo) {
        stream.write(128);
        writeValue(stream, ((AccessTokenInfo) value).toMap());
      } else 
      if (value instanceof Account) {
        stream.write(129);
        writeValue(stream, ((Account) value).toMap());
      } else 
      if (value instanceof InitializeRequest) {
        stream.write(130);
        writeValue(stream, ((InitializeRequest) value).toMap());
      } else 
      if (value instanceof OAuthToken) {
        stream.write(131);
        writeValue(stream, ((OAuthToken) value).toMap());
      } else 
      if (value instanceof OAuthToken) {
        stream.write(132);
        writeValue(stream, ((OAuthToken) value).toMap());
      } else 
      if (value instanceof Profile) {
        stream.write(133);
        writeValue(stream, ((Profile) value).toMap());
      } else 
      if (value instanceof User) {
        stream.write(134);
        writeValue(stream, ((User) value).toMap());
      } else 
{
        super.writeValue(stream, value);
      }
    }
  }

  /** Generated interface from Pigeon that represents a handler of messages from Flutter.*/
  public interface KakaoLoginApi {
    void initialize(@NonNull InitializeRequest request);
    @Nullable OAuthToken currentToken();
    @Nullable String getHashKey();
    void accessTokenInfo(Result<AccessTokenInfo> result);
    @NonNull Boolean isKakaoTalkLoginAvailable();
    void logout(Result<Void> result);
    void unlink(Result<Void> result);
    void login(Result<OAuthToken> result);
    void logInWithKakaoTalk(Result<OAuthToken> result);
    void logInWithKakaoAccount(Result<OAuthToken> result);
    void me(Result<User> result);
    void signup(@Nullable Map<String, String> properties, Result<Void> result);
    void updateProfile(@NonNull Map<String, String> properties, Result<Void> result);

    /** The codec used by KakaoLoginApi. */
    static MessageCodec<Object> getCodec() {
      return KakaoLoginApiCodec.INSTANCE;
    }

    /** Sets up an instance of `KakaoLoginApi` to handle messages through the `binaryMessenger`. */
    static void setup(BinaryMessenger binaryMessenger, KakaoLoginApi api) {
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.initialize", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              ArrayList<Object> args = (ArrayList<Object>)message;
              InitializeRequest requestArg = (InitializeRequest)args.get(0);
              if (requestArg == null) {
                throw new NullPointerException("requestArg unexpectedly null.");
              }
              api.initialize(requestArg);
              wrapped.put("result", null);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
            }
            reply.reply(wrapped);
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.currentToken", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              OAuthToken output = api.currentToken();
              wrapped.put("result", output);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
            }
            reply.reply(wrapped);
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.getHashKey", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              String output = api.getHashKey();
              wrapped.put("result", output);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
            }
            reply.reply(wrapped);
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.accessTokenInfo", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<AccessTokenInfo> resultCallback = new Result<AccessTokenInfo>() {
                public void success(AccessTokenInfo result) {
                  wrapped.put("result", result);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.accessTokenInfo(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.isKakaoTalkLoginAvailable", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Boolean output = api.isKakaoTalkLoginAvailable();
              wrapped.put("result", output);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
            }
            reply.reply(wrapped);
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.logout", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<Void> resultCallback = new Result<Void>() {
                public void success(Void result) {
                  wrapped.put("result", null);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.logout(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.unlink", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<Void> resultCallback = new Result<Void>() {
                public void success(Void result) {
                  wrapped.put("result", null);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.unlink(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.login", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<OAuthToken> resultCallback = new Result<OAuthToken>() {
                public void success(OAuthToken result) {
                  wrapped.put("result", result);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.login(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.logInWithKakaoTalk", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<OAuthToken> resultCallback = new Result<OAuthToken>() {
                public void success(OAuthToken result) {
                  wrapped.put("result", result);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.logInWithKakaoTalk(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.logInWithKakaoAccount", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<OAuthToken> resultCallback = new Result<OAuthToken>() {
                public void success(OAuthToken result) {
                  wrapped.put("result", result);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.logInWithKakaoAccount(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.me", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              Result<User> resultCallback = new Result<User>() {
                public void success(User result) {
                  wrapped.put("result", result);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.me(resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.signup", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              ArrayList<Object> args = (ArrayList<Object>)message;
              Map<String, String> propertiesArg = (Map<String, String>)args.get(0);
              Result<Void> resultCallback = new Result<Void>() {
                public void success(Void result) {
                  wrapped.put("result", null);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.signup(propertiesArg, resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
      {
        BasicMessageChannel<Object> channel =
            new BasicMessageChannel<>(binaryMessenger, "dev.flutter.pigeon.KakaoLoginApi.updateProfile", getCodec());
        if (api != null) {
          channel.setMessageHandler((message, reply) -> {
            Map<String, Object> wrapped = new HashMap<>();
            try {
              ArrayList<Object> args = (ArrayList<Object>)message;
              Map<String, String> propertiesArg = (Map<String, String>)args.get(0);
              if (propertiesArg == null) {
                throw new NullPointerException("propertiesArg unexpectedly null.");
              }
              Result<Void> resultCallback = new Result<Void>() {
                public void success(Void result) {
                  wrapped.put("result", null);
                  reply.reply(wrapped);
                }
                public void error(Throwable error) {
                  wrapped.put("error", wrapError(error));
                  reply.reply(wrapped);
                }
              };

              api.updateProfile(propertiesArg, resultCallback);
            }
            catch (Error | RuntimeException exception) {
              wrapped.put("error", wrapError(exception));
              reply.reply(wrapped);
            }
          });
        } else {
          channel.setMessageHandler(null);
        }
      }
    }
  }
  private static Map<String, Object> wrapError(Throwable exception) {
    Map<String, Object> errorMap = new HashMap<>();
    errorMap.put("message", exception.toString());
    errorMap.put("code", exception.getClass().getSimpleName());
    errorMap.put("details", "Cause: " + exception.getCause() + ", Stacktrace: " + Log.getStackTraceString(exception));
    return errorMap;
  }
}
