// Autogenerated from Pigeon (v2.0.1), do not edit directly.
// See also: https://pub.dev/packages/pigeon
#import <Foundation/Foundation.h>
@protocol FlutterBinaryMessenger;
@protocol FlutterMessageCodec;
@class FlutterError;
@class FlutterStandardTypedData;

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, FLTPrompt) {
  FLTPromptLogin = 0,
};

typedef NS_ENUM(NSUInteger, FLTApiErrorCause) {
  FLTApiErrorCauseInternalError = 0,
  FLTApiErrorCauseIllegalParams = 1,
  FLTApiErrorCauseUnsupportedApi = 2,
  FLTApiErrorCauseBlockedAction = 3,
  FLTApiErrorCausePermissionDenied = 4,
  FLTApiErrorCauseDeprecatedApi = 5,
  FLTApiErrorCauseApiLimitExceeded = 6,
  FLTApiErrorCauseNotRegisteredUser = 7,
  FLTApiErrorCauseAlreadyRegisteredUser = 8,
  FLTApiErrorCauseAccountDoesNotExist = 9,
  FLTApiErrorCausePropertyKeyDoesNotExist = 10,
};

typedef NS_ENUM(NSUInteger, FLTAgeRange) {
  FLTAgeRangeAge_0_9 = 0,
  FLTAgeRangeAge_10_14 = 1,
  FLTAgeRangeAge_15_19 = 2,
  FLTAgeRangeAge_20_29 = 3,
  FLTAgeRangeAge_30_39 = 4,
  FLTAgeRangeAge_40_49 = 5,
  FLTAgeRangeAge_50_59 = 6,
  FLTAgeRangeAge_60_69 = 7,
  FLTAgeRangeAge_70_79 = 8,
  FLTAgeRangeAge_80_89 = 9,
  FLTAgeRangeAge_90_above = 10,
  FLTAgeRangeUnknown = 11,
};

typedef NS_ENUM(NSUInteger, FLTBirthdayType) {
  FLTBirthdayTypeSolar = 0,
  FLTBirthdayTypeLunar = 1,
  FLTBirthdayTypeUnknown = 2,
};

typedef NS_ENUM(NSUInteger, FLTGender) {
  FLTGenderFemale = 0,
  FLTGenderMale = 1,
  FLTGenderUnknown = 2,
};

@class FLTOAuthToken;
@class FLTProfile;
@class FLTAccount;
@class FLTUser;
@class FLTAccessTokenInfo;
@class FLTInitializeRequest;

@interface FLTOAuthToken : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithAccessToken:(NSString *)accessToken
    accessTokenExpiresAt:(nullable NSNumber *)accessTokenExpiresAt
    expiresIn:(nullable NSNumber *)expiresIn
    refreshToken:(NSString *)refreshToken
    refreshTokenExpiresAt:(nullable NSNumber *)refreshTokenExpiresAt
    refreshTokenExpiresIn:(nullable NSNumber *)refreshTokenExpiresIn
    scopes:(nullable NSArray<NSString *> *)scopes;
@property(nonatomic, copy) NSString * accessToken;
@property(nonatomic, strong, nullable) NSNumber * accessTokenExpiresAt;
@property(nonatomic, strong, nullable) NSNumber * expiresIn;
@property(nonatomic, copy) NSString * refreshToken;
@property(nonatomic, strong, nullable) NSNumber * refreshTokenExpiresAt;
@property(nonatomic, strong, nullable) NSNumber * refreshTokenExpiresIn;
@property(nonatomic, strong, nullable) NSArray<NSString *> * scopes;
@end

@interface FLTProfile : NSObject
+ (instancetype)makeWithNickname:(nullable NSString *)nickname
    profileImageUrl:(nullable NSString *)profileImageUrl
    thumbnailImageUrl:(nullable NSString *)thumbnailImageUrl;
@property(nonatomic, copy, nullable) NSString * nickname;
@property(nonatomic, copy, nullable) NSString * profileImageUrl;
@property(nonatomic, copy, nullable) NSString * thumbnailImageUrl;
@end

@interface FLTAccount : NSObject
+ (instancetype)makeWithProfileImageNeedsAgreement:(nullable NSNumber *)profileImageNeedsAgreement
    profileNeedsAgreement:(nullable NSNumber *)profileNeedsAgreement
    profileNicknameNeedsAgreement:(nullable NSNumber *)profileNicknameNeedsAgreement
    profile:(nullable FLTProfile *)profile
    isEmailVerified:(nullable NSNumber *)isEmailVerified
    isEmailValid:(nullable NSNumber *)isEmailValid
    emailNeedsAgreement:(nullable NSNumber *)emailNeedsAgreement
    email:(nullable NSString *)email
    isKakaotalkUser:(nullable NSNumber *)isKakaotalkUser
    phoneNumberNeedsAgreement:(nullable NSNumber *)phoneNumberNeedsAgreement
    phoneNumber:(nullable NSString *)phoneNumber
    ageRangeNeedsAgreement:(nullable NSNumber *)ageRangeNeedsAgreement
    ageRange:(FLTAgeRange)ageRange
    birthdayNeedsAgreement:(nullable NSNumber *)birthdayNeedsAgreement
    birthday:(nullable NSString *)birthday
    birthyearNeedsAgreement:(nullable NSNumber *)birthyearNeedsAgreement
    birthdayType:(FLTBirthdayType)birthdayType
    birthyear:(nullable NSString *)birthyear
    genderNeedsAgreement:(nullable NSNumber *)genderNeedsAgreement
    gender:(FLTGender)gender
    ciNeedsAgreement:(nullable NSNumber *)ciNeedsAgreement
    ci:(nullable NSString *)ci
    ciAuthenticatedAt:(nullable NSNumber *)ciAuthenticatedAt
    legalNameNeedsAgreement:(nullable NSNumber *)legalNameNeedsAgreement
    legalName:(nullable NSString *)legalName
    legalGenderNeedsAgreement:(nullable NSNumber *)legalGenderNeedsAgreement
    legalGender:(FLTGender)legalGender
    legalBirthDate:(nullable NSString *)legalBirthDate
    isKorean:(nullable NSNumber *)isKorean
    isKoreanNeedsAgreement:(nullable NSNumber *)isKoreanNeedsAgreement
    name:(nullable NSString *)name
    nameNeedsAgreement:(nullable NSNumber *)nameNeedsAgreement;
@property(nonatomic, strong, nullable) NSNumber * profileImageNeedsAgreement;
@property(nonatomic, strong, nullable) NSNumber * profileNeedsAgreement;
@property(nonatomic, strong, nullable) NSNumber * profileNicknameNeedsAgreement;
@property(nonatomic, strong, nullable) FLTProfile * profile;
@property(nonatomic, strong, nullable) NSNumber * isEmailVerified;
@property(nonatomic, strong, nullable) NSNumber * isEmailValid;
@property(nonatomic, strong, nullable) NSNumber * emailNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * email;
@property(nonatomic, strong, nullable) NSNumber * isKakaotalkUser;
@property(nonatomic, strong, nullable) NSNumber * phoneNumberNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * phoneNumber;
@property(nonatomic, strong, nullable) NSNumber * ageRangeNeedsAgreement;
@property(nonatomic, assign) FLTAgeRange ageRange;
@property(nonatomic, strong, nullable) NSNumber * birthdayNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * birthday;
@property(nonatomic, strong, nullable) NSNumber * birthyearNeedsAgreement;
@property(nonatomic, assign) FLTBirthdayType birthdayType;
@property(nonatomic, copy, nullable) NSString * birthyear;
@property(nonatomic, strong, nullable) NSNumber * genderNeedsAgreement;
@property(nonatomic, assign) FLTGender gender;
@property(nonatomic, strong, nullable) NSNumber * ciNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * ci;
@property(nonatomic, strong, nullable) NSNumber * ciAuthenticatedAt;
@property(nonatomic, strong, nullable) NSNumber * legalNameNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * legalName;
@property(nonatomic, strong, nullable) NSNumber * legalGenderNeedsAgreement;
@property(nonatomic, assign) FLTGender legalGender;
@property(nonatomic, copy, nullable) NSString * legalBirthDate;
@property(nonatomic, strong, nullable) NSNumber * isKorean;
@property(nonatomic, strong, nullable) NSNumber * isKoreanNeedsAgreement;
@property(nonatomic, copy, nullable) NSString * name;
@property(nonatomic, strong, nullable) NSNumber * nameNeedsAgreement;
@end

@interface FLTUser : NSObject
+ (instancetype)makeWithId:(nullable NSNumber *)id
    properties:(nullable NSDictionary<NSString *, NSString *> *)properties
    kakaoAccount:(nullable FLTAccount *)kakaoAccount
    groupUserToken:(nullable NSString *)groupUserToken
    connectedAt:(nullable NSNumber *)connectedAt
    synchedAt:(nullable NSNumber *)synchedAt;
@property(nonatomic, strong, nullable) NSNumber * id;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * properties;
@property(nonatomic, strong, nullable) FLTAccount * kakaoAccount;
@property(nonatomic, copy, nullable) NSString * groupUserToken;
@property(nonatomic, strong, nullable) NSNumber * connectedAt;
@property(nonatomic, strong, nullable) NSNumber * synchedAt;
@end

@interface FLTAccessTokenInfo : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithId:(nullable NSNumber *)id
    expiresIn:(NSNumber *)expiresIn
    appId:(NSNumber *)appId;
@property(nonatomic, strong, nullable) NSNumber * id;
@property(nonatomic, strong) NSNumber * expiresIn;
@property(nonatomic, strong) NSNumber * appId;
@end

@interface FLTInitializeRequest : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithAppKey:(NSString *)appKey;
@property(nonatomic, copy) NSString * appKey;
@end

/// The codec used by FLTKakaoLoginApi.
NSObject<FlutterMessageCodec> *FLTKakaoLoginApiGetCodec(void);

@protocol FLTKakaoLoginApi
- (void)initializeRequest:(FLTInitializeRequest *)request error:(FlutterError *_Nullable *_Nonnull)error;
- (nullable FLTOAuthToken *)currentTokenWithError:(FlutterError *_Nullable *_Nonnull)error;
- (nullable NSString *)getHashKeyWithError:(FlutterError *_Nullable *_Nonnull)error;
- (void)accessTokenInfoWithCompletion:(void(^)(FLTAccessTokenInfo *_Nullable, FlutterError *_Nullable))completion;
/// @return `nil` only when `error != nil`.
- (nullable NSNumber *)isKakaoTalkLoginAvailableWithError:(FlutterError *_Nullable *_Nonnull)error;
- (void)logoutWithCompletion:(void(^)(FlutterError *_Nullable))completion;
- (void)unlinkWithCompletion:(void(^)(FlutterError *_Nullable))completion;
- (void)loginWithCompletion:(void(^)(FLTOAuthToken *_Nullable, FlutterError *_Nullable))completion;
- (void)logInWithKakaoTalkWithCompletion:(void(^)(FLTOAuthToken *_Nullable, FlutterError *_Nullable))completion;
- (void)logInWithKakaoAccountWithCompletion:(void(^)(FLTOAuthToken *_Nullable, FlutterError *_Nullable))completion;
- (void)meWithCompletion:(void(^)(FLTUser *_Nullable, FlutterError *_Nullable))completion;
- (void)signupProperties:(nullable NSDictionary<NSString *, NSString *> *)properties completion:(void(^)(FlutterError *_Nullable))completion;
- (void)updateProfileProperties:(NSDictionary<NSString *, NSString *> *)properties completion:(void(^)(FlutterError *_Nullable))completion;
@end

extern void FLTKakaoLoginApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTKakaoLoginApi> *_Nullable api);

NS_ASSUME_NONNULL_END
