// Autogenerated from Pigeon (v2.0.1), do not edit directly.
// See also: https://pub.dev/packages/pigeon
#import "messages.h"
#import <Flutter/Flutter.h>

#if !__has_feature(objc_arc)
#error File requires ARC to be enabled.
#endif

static NSDictionary<NSString *, id> *wrapResult(id result, FlutterError *error) {
  NSDictionary *errorDict = (NSDictionary *)[NSNull null];
  if (error) {
    errorDict = @{
        @"code": (error.code ? error.code : [NSNull null]),
        @"message": (error.message ? error.message : [NSNull null]),
        @"details": (error.details ? error.details : [NSNull null]),
        };
  }
  return @{
      @"result": (result ? result : [NSNull null]),
      @"error": errorDict,
      };
}
static id GetNullableObject(NSDictionary* dict, id key) {
  id result = dict[key];
  return (result == [NSNull null]) ? nil : result;
}
static id GetNullableObjectAtIndex(NSArray* array, NSInteger key) {
  id result = array[key];
  return (result == [NSNull null]) ? nil : result;
}


@interface FLTOAuthToken ()
+ (FLTOAuthToken *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface FLTProfile ()
+ (FLTProfile *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface FLTAccount ()
+ (FLTAccount *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface FLTUser ()
+ (FLTUser *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface FLTAccessTokenInfo ()
+ (FLTAccessTokenInfo *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface FLTInitializeRequest ()
+ (FLTInitializeRequest *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end

@implementation FLTOAuthToken
+ (instancetype)makeWithAccessToken:(NSString *)accessToken
    accessTokenExpiresAt:(nullable NSNumber *)accessTokenExpiresAt
    expiresIn:(nullable NSNumber *)expiresIn
    refreshToken:(NSString *)refreshToken
    refreshTokenExpiresAt:(nullable NSNumber *)refreshTokenExpiresAt
    refreshTokenExpiresIn:(nullable NSNumber *)refreshTokenExpiresIn
    scopes:(nullable NSArray<NSString *> *)scopes {
  FLTOAuthToken* pigeonResult = [[FLTOAuthToken alloc] init];
  pigeonResult.accessToken = accessToken;
  pigeonResult.accessTokenExpiresAt = accessTokenExpiresAt;
  pigeonResult.expiresIn = expiresIn;
  pigeonResult.refreshToken = refreshToken;
  pigeonResult.refreshTokenExpiresAt = refreshTokenExpiresAt;
  pigeonResult.refreshTokenExpiresIn = refreshTokenExpiresIn;
  pigeonResult.scopes = scopes;
  return pigeonResult;
}
+ (FLTOAuthToken *)fromMap:(NSDictionary *)dict {
  FLTOAuthToken *pigeonResult = [[FLTOAuthToken alloc] init];
  pigeonResult.accessToken = GetNullableObject(dict, @"accessToken");
  NSAssert(pigeonResult.accessToken != nil, @"");
  pigeonResult.accessTokenExpiresAt = GetNullableObject(dict, @"accessTokenExpiresAt");
  pigeonResult.expiresIn = GetNullableObject(dict, @"expiresIn");
  pigeonResult.refreshToken = GetNullableObject(dict, @"refreshToken");
  NSAssert(pigeonResult.refreshToken != nil, @"");
  pigeonResult.refreshTokenExpiresAt = GetNullableObject(dict, @"refreshTokenExpiresAt");
  pigeonResult.refreshTokenExpiresIn = GetNullableObject(dict, @"refreshTokenExpiresIn");
  pigeonResult.scopes = GetNullableObject(dict, @"scopes");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.accessToken ? self.accessToken : [NSNull null]), @"accessToken", (self.accessTokenExpiresAt ? self.accessTokenExpiresAt : [NSNull null]), @"accessTokenExpiresAt", (self.expiresIn ? self.expiresIn : [NSNull null]), @"expiresIn", (self.refreshToken ? self.refreshToken : [NSNull null]), @"refreshToken", (self.refreshTokenExpiresAt ? self.refreshTokenExpiresAt : [NSNull null]), @"refreshTokenExpiresAt", (self.refreshTokenExpiresIn ? self.refreshTokenExpiresIn : [NSNull null]), @"refreshTokenExpiresIn", (self.scopes ? self.scopes : [NSNull null]), @"scopes", nil];
}
@end

@implementation FLTProfile
+ (instancetype)makeWithNickname:(nullable NSString *)nickname
    profileImageUrl:(nullable NSString *)profileImageUrl
    thumbnailImageUrl:(nullable NSString *)thumbnailImageUrl {
  FLTProfile* pigeonResult = [[FLTProfile alloc] init];
  pigeonResult.nickname = nickname;
  pigeonResult.profileImageUrl = profileImageUrl;
  pigeonResult.thumbnailImageUrl = thumbnailImageUrl;
  return pigeonResult;
}
+ (FLTProfile *)fromMap:(NSDictionary *)dict {
  FLTProfile *pigeonResult = [[FLTProfile alloc] init];
  pigeonResult.nickname = GetNullableObject(dict, @"nickname");
  pigeonResult.profileImageUrl = GetNullableObject(dict, @"profileImageUrl");
  pigeonResult.thumbnailImageUrl = GetNullableObject(dict, @"thumbnailImageUrl");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.nickname ? self.nickname : [NSNull null]), @"nickname", (self.profileImageUrl ? self.profileImageUrl : [NSNull null]), @"profileImageUrl", (self.thumbnailImageUrl ? self.thumbnailImageUrl : [NSNull null]), @"thumbnailImageUrl", nil];
}
@end

@implementation FLTAccount
+ (instancetype)makeWithProfileImageNeedsAgreement:(nullable NSNumber *)profileImageNeedsAgreement
    profileNeedsAgreement:(nullable NSNumber *)profileNeedsAgreement
    profileNicknameNeedsAgreement:(nullable NSNumber *)profileNicknameNeedsAgreement
    profile:(nullable FLTProfile *)profile
    isEmailVerified:(nullable NSNumber *)isEmailVerified
    isEmailValid:(nullable NSNumber *)isEmailValid
    emailNeedsAgreement:(nullable NSNumber *)emailNeedsAgreement
    email:(nullable NSString *)email
    isKakaotalkUser:(nullable NSNumber *)isKakaotalkUser
    phoneNumberNeedsAgreement:(nullable NSNumber *)phoneNumberNeedsAgreement
    phoneNumber:(nullable NSString *)phoneNumber
    ageRangeNeedsAgreement:(nullable NSNumber *)ageRangeNeedsAgreement
    ageRange:(FLTAgeRange)ageRange
    birthdayNeedsAgreement:(nullable NSNumber *)birthdayNeedsAgreement
    birthday:(nullable NSString *)birthday
    birthyearNeedsAgreement:(nullable NSNumber *)birthyearNeedsAgreement
    birthdayType:(FLTBirthdayType)birthdayType
    birthyear:(nullable NSString *)birthyear
    genderNeedsAgreement:(nullable NSNumber *)genderNeedsAgreement
    gender:(FLTGender)gender
    ciNeedsAgreement:(nullable NSNumber *)ciNeedsAgreement
    ci:(nullable NSString *)ci
    ciAuthenticatedAt:(nullable NSNumber *)ciAuthenticatedAt
    legalNameNeedsAgreement:(nullable NSNumber *)legalNameNeedsAgreement
    legalName:(nullable NSString *)legalName
    legalGenderNeedsAgreement:(nullable NSNumber *)legalGenderNeedsAgreement
    legalGender:(FLTGender)legalGender
    legalBirthDate:(nullable NSString *)legalBirthDate
    isKorean:(nullable NSNumber *)isKorean
    isKoreanNeedsAgreement:(nullable NSNumber *)isKoreanNeedsAgreement
    name:(nullable NSString *)name
    nameNeedsAgreement:(nullable NSNumber *)nameNeedsAgreement {
  FLTAccount* pigeonResult = [[FLTAccount alloc] init];
  pigeonResult.profileImageNeedsAgreement = profileImageNeedsAgreement;
  pigeonResult.profileNeedsAgreement = profileNeedsAgreement;
  pigeonResult.profileNicknameNeedsAgreement = profileNicknameNeedsAgreement;
  pigeonResult.profile = profile;
  pigeonResult.isEmailVerified = isEmailVerified;
  pigeonResult.isEmailValid = isEmailValid;
  pigeonResult.emailNeedsAgreement = emailNeedsAgreement;
  pigeonResult.email = email;
  pigeonResult.isKakaotalkUser = isKakaotalkUser;
  pigeonResult.phoneNumberNeedsAgreement = phoneNumberNeedsAgreement;
  pigeonResult.phoneNumber = phoneNumber;
  pigeonResult.ageRangeNeedsAgreement = ageRangeNeedsAgreement;
  pigeonResult.ageRange = ageRange;
  pigeonResult.birthdayNeedsAgreement = birthdayNeedsAgreement;
  pigeonResult.birthday = birthday;
  pigeonResult.birthyearNeedsAgreement = birthyearNeedsAgreement;
  pigeonResult.birthdayType = birthdayType;
  pigeonResult.birthyear = birthyear;
  pigeonResult.genderNeedsAgreement = genderNeedsAgreement;
  pigeonResult.gender = gender;
  pigeonResult.ciNeedsAgreement = ciNeedsAgreement;
  pigeonResult.ci = ci;
  pigeonResult.ciAuthenticatedAt = ciAuthenticatedAt;
  pigeonResult.legalNameNeedsAgreement = legalNameNeedsAgreement;
  pigeonResult.legalName = legalName;
  pigeonResult.legalGenderNeedsAgreement = legalGenderNeedsAgreement;
  pigeonResult.legalGender = legalGender;
  pigeonResult.legalBirthDate = legalBirthDate;
  pigeonResult.isKorean = isKorean;
  pigeonResult.isKoreanNeedsAgreement = isKoreanNeedsAgreement;
  pigeonResult.name = name;
  pigeonResult.nameNeedsAgreement = nameNeedsAgreement;
  return pigeonResult;
}
+ (FLTAccount *)fromMap:(NSDictionary *)dict {
  FLTAccount *pigeonResult = [[FLTAccount alloc] init];
  pigeonResult.profileImageNeedsAgreement = GetNullableObject(dict, @"profileImageNeedsAgreement");
  pigeonResult.profileNeedsAgreement = GetNullableObject(dict, @"profileNeedsAgreement");
  pigeonResult.profileNicknameNeedsAgreement = GetNullableObject(dict, @"profileNicknameNeedsAgreement");
  pigeonResult.profile = [FLTProfile fromMap:GetNullableObject(dict, @"profile")];
  pigeonResult.isEmailVerified = GetNullableObject(dict, @"isEmailVerified");
  pigeonResult.isEmailValid = GetNullableObject(dict, @"isEmailValid");
  pigeonResult.emailNeedsAgreement = GetNullableObject(dict, @"emailNeedsAgreement");
  pigeonResult.email = GetNullableObject(dict, @"email");
  pigeonResult.isKakaotalkUser = GetNullableObject(dict, @"isKakaotalkUser");
  pigeonResult.phoneNumberNeedsAgreement = GetNullableObject(dict, @"phoneNumberNeedsAgreement");
  pigeonResult.phoneNumber = GetNullableObject(dict, @"phoneNumber");
  pigeonResult.ageRangeNeedsAgreement = GetNullableObject(dict, @"ageRangeNeedsAgreement");
  pigeonResult.ageRange = [GetNullableObject(dict, @"ageRange") integerValue];
  pigeonResult.birthdayNeedsAgreement = GetNullableObject(dict, @"birthdayNeedsAgreement");
  pigeonResult.birthday = GetNullableObject(dict, @"birthday");
  pigeonResult.birthyearNeedsAgreement = GetNullableObject(dict, @"birthyearNeedsAgreement");
  pigeonResult.birthdayType = [GetNullableObject(dict, @"birthdayType") integerValue];
  pigeonResult.birthyear = GetNullableObject(dict, @"birthyear");
  pigeonResult.genderNeedsAgreement = GetNullableObject(dict, @"genderNeedsAgreement");
  pigeonResult.gender = [GetNullableObject(dict, @"gender") integerValue];
  pigeonResult.ciNeedsAgreement = GetNullableObject(dict, @"ciNeedsAgreement");
  pigeonResult.ci = GetNullableObject(dict, @"ci");
  pigeonResult.ciAuthenticatedAt = GetNullableObject(dict, @"ciAuthenticatedAt");
  pigeonResult.legalNameNeedsAgreement = GetNullableObject(dict, @"legalNameNeedsAgreement");
  pigeonResult.legalName = GetNullableObject(dict, @"legalName");
  pigeonResult.legalGenderNeedsAgreement = GetNullableObject(dict, @"legalGenderNeedsAgreement");
  pigeonResult.legalGender = [GetNullableObject(dict, @"legalGender") integerValue];
  pigeonResult.legalBirthDate = GetNullableObject(dict, @"legalBirthDate");
  pigeonResult.isKorean = GetNullableObject(dict, @"isKorean");
  pigeonResult.isKoreanNeedsAgreement = GetNullableObject(dict, @"isKoreanNeedsAgreement");
  pigeonResult.name = GetNullableObject(dict, @"name");
  pigeonResult.nameNeedsAgreement = GetNullableObject(dict, @"nameNeedsAgreement");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.profileImageNeedsAgreement ? self.profileImageNeedsAgreement : [NSNull null]), @"profileImageNeedsAgreement", (self.profileNeedsAgreement ? self.profileNeedsAgreement : [NSNull null]), @"profileNeedsAgreement", (self.profileNicknameNeedsAgreement ? self.profileNicknameNeedsAgreement : [NSNull null]), @"profileNicknameNeedsAgreement", (self.profile ? [self.profile toMap] : [NSNull null]), @"profile", (self.isEmailVerified ? self.isEmailVerified : [NSNull null]), @"isEmailVerified", (self.isEmailValid ? self.isEmailValid : [NSNull null]), @"isEmailValid", (self.emailNeedsAgreement ? self.emailNeedsAgreement : [NSNull null]), @"emailNeedsAgreement", (self.email ? self.email : [NSNull null]), @"email", (self.isKakaotalkUser ? self.isKakaotalkUser : [NSNull null]), @"isKakaotalkUser", (self.phoneNumberNeedsAgreement ? self.phoneNumberNeedsAgreement : [NSNull null]), @"phoneNumberNeedsAgreement", (self.phoneNumber ? self.phoneNumber : [NSNull null]), @"phoneNumber", (self.ageRangeNeedsAgreement ? self.ageRangeNeedsAgreement : [NSNull null]), @"ageRangeNeedsAgreement", @(self.ageRange), @"ageRange", (self.birthdayNeedsAgreement ? self.birthdayNeedsAgreement : [NSNull null]), @"birthdayNeedsAgreement", (self.birthday ? self.birthday : [NSNull null]), @"birthday", (self.birthyearNeedsAgreement ? self.birthyearNeedsAgreement : [NSNull null]), @"birthyearNeedsAgreement", @(self.birthdayType), @"birthdayType", (self.birthyear ? self.birthyear : [NSNull null]), @"birthyear", (self.genderNeedsAgreement ? self.genderNeedsAgreement : [NSNull null]), @"genderNeedsAgreement", @(self.gender), @"gender", (self.ciNeedsAgreement ? self.ciNeedsAgreement : [NSNull null]), @"ciNeedsAgreement", (self.ci ? self.ci : [NSNull null]), @"ci", (self.ciAuthenticatedAt ? self.ciAuthenticatedAt : [NSNull null]), @"ciAuthenticatedAt", (self.legalNameNeedsAgreement ? self.legalNameNeedsAgreement : [NSNull null]), @"legalNameNeedsAgreement", (self.legalName ? self.legalName : [NSNull null]), @"legalName", (self.legalGenderNeedsAgreement ? self.legalGenderNeedsAgreement : [NSNull null]), @"legalGenderNeedsAgreement", @(self.legalGender), @"legalGender", (self.legalBirthDate ? self.legalBirthDate : [NSNull null]), @"legalBirthDate", (self.isKorean ? self.isKorean : [NSNull null]), @"isKorean", (self.isKoreanNeedsAgreement ? self.isKoreanNeedsAgreement : [NSNull null]), @"isKoreanNeedsAgreement", (self.name ? self.name : [NSNull null]), @"name", (self.nameNeedsAgreement ? self.nameNeedsAgreement : [NSNull null]), @"nameNeedsAgreement", nil];
}
@end

@implementation FLTUser
+ (instancetype)makeWithId:(nullable NSNumber *)id
    properties:(nullable NSDictionary<NSString *, NSString *> *)properties
    kakaoAccount:(nullable FLTAccount *)kakaoAccount
    groupUserToken:(nullable NSString *)groupUserToken
    connectedAt:(nullable NSNumber *)connectedAt
    synchedAt:(nullable NSNumber *)synchedAt {
  FLTUser* pigeonResult = [[FLTUser alloc] init];
  pigeonResult.id = id;
  pigeonResult.properties = properties;
  pigeonResult.kakaoAccount = kakaoAccount;
  pigeonResult.groupUserToken = groupUserToken;
  pigeonResult.connectedAt = connectedAt;
  pigeonResult.synchedAt = synchedAt;
  return pigeonResult;
}
+ (FLTUser *)fromMap:(NSDictionary *)dict {
  FLTUser *pigeonResult = [[FLTUser alloc] init];
  pigeonResult.id = GetNullableObject(dict, @"id");
  pigeonResult.properties = GetNullableObject(dict, @"properties");
  pigeonResult.kakaoAccount = [FLTAccount fromMap:GetNullableObject(dict, @"kakaoAccount")];
  pigeonResult.groupUserToken = GetNullableObject(dict, @"groupUserToken");
  pigeonResult.connectedAt = GetNullableObject(dict, @"connectedAt");
  pigeonResult.synchedAt = GetNullableObject(dict, @"synchedAt");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.id ? self.id : [NSNull null]), @"id", (self.properties ? self.properties : [NSNull null]), @"properties", (self.kakaoAccount ? [self.kakaoAccount toMap] : [NSNull null]), @"kakaoAccount", (self.groupUserToken ? self.groupUserToken : [NSNull null]), @"groupUserToken", (self.connectedAt ? self.connectedAt : [NSNull null]), @"connectedAt", (self.synchedAt ? self.synchedAt : [NSNull null]), @"synchedAt", nil];
}
@end

@implementation FLTAccessTokenInfo
+ (instancetype)makeWithId:(nullable NSNumber *)id
    expiresIn:(NSNumber *)expiresIn
    appId:(NSNumber *)appId {
  FLTAccessTokenInfo* pigeonResult = [[FLTAccessTokenInfo alloc] init];
  pigeonResult.id = id;
  pigeonResult.expiresIn = expiresIn;
  pigeonResult.appId = appId;
  return pigeonResult;
}
+ (FLTAccessTokenInfo *)fromMap:(NSDictionary *)dict {
  FLTAccessTokenInfo *pigeonResult = [[FLTAccessTokenInfo alloc] init];
  pigeonResult.id = GetNullableObject(dict, @"id");
  pigeonResult.expiresIn = GetNullableObject(dict, @"expiresIn");
  NSAssert(pigeonResult.expiresIn != nil, @"");
  pigeonResult.appId = GetNullableObject(dict, @"appId");
  NSAssert(pigeonResult.appId != nil, @"");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.id ? self.id : [NSNull null]), @"id", (self.expiresIn ? self.expiresIn : [NSNull null]), @"expiresIn", (self.appId ? self.appId : [NSNull null]), @"appId", nil];
}
@end

@implementation FLTInitializeRequest
+ (instancetype)makeWithAppKey:(NSString *)appKey {
  FLTInitializeRequest* pigeonResult = [[FLTInitializeRequest alloc] init];
  pigeonResult.appKey = appKey;
  return pigeonResult;
}
+ (FLTInitializeRequest *)fromMap:(NSDictionary *)dict {
  FLTInitializeRequest *pigeonResult = [[FLTInitializeRequest alloc] init];
  pigeonResult.appKey = GetNullableObject(dict, @"appKey");
  NSAssert(pigeonResult.appKey != nil, @"");
  return pigeonResult;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.appKey ? self.appKey : [NSNull null]), @"appKey", nil];
}
@end

@interface FLTKakaoLoginApiCodecReader : FlutterStandardReader
@end
@implementation FLTKakaoLoginApiCodecReader
- (nullable id)readValueOfType:(UInt8)type 
{
  switch (type) {
    case 128:     
      return [FLTAccessTokenInfo fromMap:[self readValue]];
    
    case 129:     
      return [FLTAccount fromMap:[self readValue]];
    
    case 130:     
      return [FLTInitializeRequest fromMap:[self readValue]];
    
    case 131:     
      return [FLTOAuthToken fromMap:[self readValue]];
    
    case 132:     
      return [FLTOAuthToken fromMap:[self readValue]];
    
    case 133:     
      return [FLTProfile fromMap:[self readValue]];
    
    case 134:     
      return [FLTUser fromMap:[self readValue]];
    
    default:    
      return [super readValueOfType:type];
    
  }
}
@end

@interface FLTKakaoLoginApiCodecWriter : FlutterStandardWriter
@end
@implementation FLTKakaoLoginApiCodecWriter
- (void)writeValue:(id)value 
{
  if ([value isKindOfClass:[FLTAccessTokenInfo class]]) {
    [self writeByte:128];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTAccount class]]) {
    [self writeByte:129];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTInitializeRequest class]]) {
    [self writeByte:130];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTOAuthToken class]]) {
    [self writeByte:131];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTOAuthToken class]]) {
    [self writeByte:132];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTProfile class]]) {
    [self writeByte:133];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[FLTUser class]]) {
    [self writeByte:134];
    [self writeValue:[value toMap]];
  } else 
{
    [super writeValue:value];
  }
}
@end

@interface FLTKakaoLoginApiCodecReaderWriter : FlutterStandardReaderWriter
@end
@implementation FLTKakaoLoginApiCodecReaderWriter
- (FlutterStandardWriter *)writerWithData:(NSMutableData *)data {
  return [[FLTKakaoLoginApiCodecWriter alloc] initWithData:data];
}
- (FlutterStandardReader *)readerWithData:(NSData *)data {
  return [[FLTKakaoLoginApiCodecReader alloc] initWithData:data];
}
@end

NSObject<FlutterMessageCodec> *FLTKakaoLoginApiGetCodec() {
  static dispatch_once_t sPred = 0;
  static FlutterStandardMessageCodec *sSharedObject = nil;
  dispatch_once(&sPred, ^{
    FLTKakaoLoginApiCodecReaderWriter *readerWriter = [[FLTKakaoLoginApiCodecReaderWriter alloc] init];
    sSharedObject = [FlutterStandardMessageCodec codecWithReaderWriter:readerWriter];
  });
  return sSharedObject;
}


void FLTKakaoLoginApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTKakaoLoginApi> *api) {
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.initialize"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(initializeRequest:error:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(initializeRequest:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        FLTInitializeRequest *arg_request = GetNullableObjectAtIndex(args, 0);
        FlutterError *error;
        [api initializeRequest:arg_request error:&error];
        callback(wrapResult(nil, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.currentToken"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(currentTokenWithError:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(currentTokenWithError:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        FlutterError *error;
        FLTOAuthToken *output = [api currentTokenWithError:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.getHashKey"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(getHashKeyWithError:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(getHashKeyWithError:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        FlutterError *error;
        NSString *output = [api getHashKeyWithError:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.accessTokenInfo"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(accessTokenInfoWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(accessTokenInfoWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api accessTokenInfoWithCompletion:^(FLTAccessTokenInfo *_Nullable output, FlutterError *_Nullable error) {
          callback(wrapResult(output, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.isKakaoTalkLoginAvailable"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(isKakaoTalkLoginAvailableWithError:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(isKakaoTalkLoginAvailableWithError:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        FlutterError *error;
        NSNumber *output = [api isKakaoTalkLoginAvailableWithError:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.logout"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(logoutWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(logoutWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api logoutWithCompletion:^(FlutterError *_Nullable error) {
          callback(wrapResult(nil, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.unlink"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(unlinkWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(unlinkWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api unlinkWithCompletion:^(FlutterError *_Nullable error) {
          callback(wrapResult(nil, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.login"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(loginWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(loginWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api loginWithCompletion:^(FLTOAuthToken *_Nullable output, FlutterError *_Nullable error) {
          callback(wrapResult(output, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.logInWithKakaoTalk"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(logInWithKakaoTalkWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(logInWithKakaoTalkWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api logInWithKakaoTalkWithCompletion:^(FLTOAuthToken *_Nullable output, FlutterError *_Nullable error) {
          callback(wrapResult(output, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.logInWithKakaoAccount"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(logInWithKakaoAccountWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(logInWithKakaoAccountWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api logInWithKakaoAccountWithCompletion:^(FLTOAuthToken *_Nullable output, FlutterError *_Nullable error) {
          callback(wrapResult(output, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.me"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(meWithCompletion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(meWithCompletion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        [api meWithCompletion:^(FLTUser *_Nullable output, FlutterError *_Nullable error) {
          callback(wrapResult(output, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.signup"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(signupProperties:completion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(signupProperties:completion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSDictionary<NSString *, NSString *> *arg_properties = GetNullableObjectAtIndex(args, 0);
        [api signupProperties:arg_properties completion:^(FlutterError *_Nullable error) {
          callback(wrapResult(nil, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [[FlutterBasicMessageChannel alloc]
        initWithName:@"dev.flutter.pigeon.KakaoLoginApi.updateProfile"
        binaryMessenger:binaryMessenger
        codec:FLTKakaoLoginApiGetCodec()        ];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(updateProfileProperties:completion:)], @"FLTKakaoLoginApi api (%@) doesn't respond to @selector(updateProfileProperties:completion:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSDictionary<NSString *, NSString *> *arg_properties = GetNullableObjectAtIndex(args, 0);
        [api updateProfileProperties:arg_properties completion:^(FlutterError *_Nullable error) {
          callback(wrapResult(nil, error));
        }];
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
}
